Bug 725594 - Long error messages in translation editor should show until key press or mouse click
Long error messages in translation editor should show until key press or mous...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.3
Unspecified Unspecified
medium Severity low
: ---
: 1.7
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-25 20:29 EDT by Ding-Yi Chen
Modified: 2013-02-27 03:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.7-SNAPSHOT (20120719-0027)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-09 00:21:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-07-25 20:29:51 EDT
Description of problem:
Even though fix for Bug 690667, extend the display duration, it still to short  for reading multi-lined error message.

Version-Release number of selected component (if applicable):
version 1.4-SNAPSHOT (20110726-0601)

How reproducible:
Always

Steps to Reproduce:
1. Launch translation editor against locale, say XY
2. As project maintainer, disable locale XY for that project
3. Try to save a translation using the XY editor

Actual results:
  Error message displayed for fraction of a second.  NB: message is two lines,
and doesn't fit into the message area properly.

Expected results:
  Error message is shown until a key is pressed or mouse is clicked.
Comment 1 Sean Flanigan 2011-09-07 00:32:41 EDT
Assigning to Scrum product owner for prioritisation.
Comment 2 Sean Flanigan 2012-07-03 01:46:49 EDT
Is the behaviour for messages in 1.6.1 (click to clear) acceptable?
Comment 3 Ding-Yi Chen 2012-07-18 21:02:01 EDT
The new behaviour of 1.7, namely notification applet, seem to address this problem perfectly.

VERIFIED with Zanata version 1.7-SNAPSHOT (20120719-0027)

Note You need to log in before you can comment on or make changes to this bug.